9

Cómo cambiar la versión de Apache, PHP o MySQL del hosting

Fotografía de una placa base

 

¿Alguna vez te has encontrado que tu hosting usa versiones de Apache, PHP o MySQL que no son las más recientes? A veces recibimos quejas de clientes que creen que no estamos suficientemente atentos a estas actualizaciones. Lo cierto, aunque en un principio suene extraño, es que estamos muy pero que muy atentos, pero decidimos no actualizar.

 

¿Por qué? Por motivos de compatibilidad. Imagínate que una persona tiene una web y utiliza una aplicación concreta que exige, pongamos por caso, PHP 5.3. Mientras esa aplicación no sea compatible con PHP 5.4, sería una irresponsabilidad por nuestra parte actualizar la versión de PHP del servidor sin consideración para con nuestros clientes.

 

¿Qué es lo que hacemos en Host Europe? Pues mantenemos las versiones antiguas en los servidores que ya existen y aplicamos las más recientes a los servidores nuevos. Los usuarios que quieren seguir utilizando la versión antigua pueden hacerlo con total normalidad. Los usuarios que quieren cambiar a la versión más reciente, escriben a Soporte informándonos y nosotros nos ocupamos: movemos su cuenta de hosting a un servidor actualizado sin cobrarles nada. ¡Es muy simple!

 

Nota: Antes de hacer el cambio, asegúrate de que todo va a funcionar correctamente con la nueva versión: comprueba primero de que todas tus webs, plugins y demás sean compatibles con ella. Si no lo haces, es posible que después te encuentres cosas que han dejado de funcionar como tú quieres.

 

¿Puedes hacer esa actualización por tu cuenta? Lo cierto es que no, al menos si estás en un servicio de hosting compartido (los VPS, los servidores híbridos y los dedicados son otro cantar). Piensa que, por la propia naturaleza del hosting web, los servicios como Apache, PHP o MySQL se comparten entre todos los usuarios. Esto quiere decir que no podrías cambiar la versión sin afectar al resto de personas que se alojan en tu misma plataforma.

 

Como te explicábamos más arriba, tampoco es necesario. Si te pones en contacto con Soporte, indicándonos el plan de hosting que necesitas actualizar y la versión que te hace falta, te informaremos de todas las opciones y moveremos tu cuenta sin ningún coste para ti.

 

Fácil, ¿no? Deja un comentario si te has quedado con alguna duda. Estaremos encantados de resolverla.

Andrea Barreiro

Andrea Barreiro

Andrea trabaja en Host Europe desde 2012. Es parte del equipo de marketing y supervisa la actividad en redes, el blog, actualiza la web, gestiona el email marketing y desarrolla otras iniciativas con nuestros clientes.

More Posts

Comentarios sobre "Cómo cambiar la versión de Apache, PHP o MySQL del hosting"

  1. Pedro

    Lo ideal sería que se actualizasen directamten, a medida que salen nuevas versiones. Es cierto que puede haber algún plugin o complemento no compatible del todo, pero para eso está la ayuda del soporte técnico, para ayudar si hubiese algún problema. Mis páginas están trabajando con PHP del 2011 creo recordar que era, un atraso en seguridad, tanto para mí como para el proveedor.

    Responder
    1. Andrea BarreiroAndrea Barreiro Autor

      Hola, Pedro, ¡gracias por tu comentario! Hacer las actualizaciones automáticas que comentas para nosotros sería mucho más cómodo. Piensa que no tendríamos que estar mudando cuentas a voluntad de los clientes, con el trabajo manual que ello implica.
      Sin embargo, no optamos por esa solución porque muchísima gente tendría problemas con su web. Como explico en el post, precisamente es lo que intentamos evitar al ir actualizando poco a poco y migrando al que lo necesita.
      En tu caso específico, si ya sabes con qué versión de PHP quieres trabajar (https://es.wikipedia.org/wiki/PHP#Historial_de_lanzamiento) y que tus webs no van a resentirse, te animo a que nos escribas a soporte@ para que mudemos tu cuenta a un servidor con esa versión. Eso, en caso de que tengas un plan compartido en el que no se pueda afectar al resto de usuarios del servidor, si tienes un VPS solo para ti directamente te la cambiamos :-)

      Responder
      1. Pedro

        Me puse en contacto con vosotros hace unos días y el problema es saber si van a funcionar bien o no, y si en caso negativo se podría volver a una versión anterior sin problema alguno para las páginas. Son unos cuantos dominios los que tengo y afectaría a todos, aunque en teoría al tener todo bien actualizado -están en WordPress- no debería haber problema alguno, pero nadie es perfecto y mucho menos algo tan variable como los plugin. Gracias de todas formas.

      2. Andrea BarreiroAndrea Barreiro Autor

        Te entiendo, Pedro, son muchas cosas: temas, plugins y la versión del propio WordPress que tienes para tus webs. Tienes razón en que afectaría a todo y por eso hay que revisar primero que cada cosa esté debidamente actualizada y que sea compatible con la versión de PHP que nos quieres pedir.
        Tras asegurarte lo más posible podemos realizar el cambio por ti y, si algún plugin te da problemas, lo que yo te recomiendo es que lo sustituyas por otro que sí sea compatible (porque significará que el plugin antiguo no está lo suficientemente actualizado).
        Por cierto, muchas gracias por tus comentarios: seguro que muchas otras personas, tanto clientes nuestros como de otras empresas, están en la misma situación que tú :-) ¡Desde aquí esperamos poder ayudaros un poco con este tipo de posts!

  2. Pingback: Hosting para WordPress: Host Europe - Juan Martos

    1. María AcibeiroMaría Acibeiro

      ¡Hola, Ignatius! Gracias por tu comentario. Depende del VPS que tengas, lo mejor en este caso es que contactes con nosotros a través de soporte para que podamos verlo contigo y te informamos de todas las opciones que tienes. ¡Un saludo!

      Responder

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos necesarios están marcados *